Channels
Channel represents a medium through which you can send and receive messages. There are different channel types (facebook_messenger, viber, etc.).
Channel Modes
Section titled “Channel Modes”Channel Mode controls how messages sent through the channel are processed. Available Modes vary across platforms. Please refer to platform specific documentation for more details about supported Modes.
The default Mode for all platforms is production.
| Mode | Supported Platforms | Description |
|---|---|---|
| Production | All | Send Message requests will be accepted and forwarded to the platform. |
| Test | Mobile, RCS Business Messages, Viber Business Messages | Send Message requests will be accepted but won’t be processed any further. This allows for testing without having to worry about cost of the test messages. |
| Amio | Viber Business Messages | Send Message requests will be sent using common Amio Sender ID. Messages sent are not charged but number of messages sent is limited. |
List Channels
Section titled “List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: amio_chat, email, facebook_messenger, mobile, rbm, telegram, viber, viber_business_messages, whatsapp. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6456078759331238786", "type": "{{CHANNEL_TYPE}}", "name": "Some Name", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true } }]Get Channel
Section titled “Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: amio_chat, email, facebook_messenger, mobile, rbm, telegram, viber, viber_business_messages, whatsapp. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
GET https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Response 200
{ "id": "6456078759331238786", "type": "{{CHANNEL_TYPE}}", "name": "Some Name", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }}Create Channel
Section titled “Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: amio_chat, email, facebook_messenger, mobile, rbm, telegram, viber, viber_business_messages, whatsapp. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type specifying the underlying platform: amio_chat, email, facebook_messenger, mobile, rbm, telegram, viber, viber_business_messages, whatsapp. |
name |
string | Name of the channel. If not set, it will be automatically filled with an account name of underlying platform. | |
mode |
string | Mode of the channel. Allowed values depends on the channel type. | |
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
Example request
{ "type": "{{CHANNEL_TYPE}}", "name": "Some Name", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24" }}Response 201
{ "id": "6456078759331238786", "type": "{{CHANNEL_TYPE}}", "name": "Some Name", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24", "ssl_verification": true }}Update Channel
Section titled “Update Channel”📘 Remove webhook
Set
webhookattribute tonullif you’d like to remove channel webhook.
Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: amio_chat, email,facebook_messenger, mobile, rbm, telegram, viber, viber_business_messages, whatsapp. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. | |
mode |
string | Mode of the channel. Allowed values depends on the channel type. | |
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
Example request
{ "name": "Some Name", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "0jOPqX32hDS5AGKOcGRH" }}Response 200
{ "id": "6456078759331238786", "type": "{{CHANNEL_TYPE}}", "name": "Some Name", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "0jOPqX32hDS5AGKOcGRH", "ssl_verification": true }}Delete Channel
Section titled “Delete Channel”DELETE https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel to be deleted. |
Response 204
Channel-specific details
Section titled “Channel-specific details”Select a channel to see its specifics.
Amio Chat: Overview
Section titled “Amio Chat: Overview”See Amio Documentation for getting started manuals and complete description of Amio Chat.
Amio Chat brings you the ability to easily create your own web chat. This API documentation describes how to manage Amio Chat channels and send messages to users. For information on how to connect your webpage with Amio Chat, see our Amio Chat guide.
Amio Chat: Channels overview
Section titled “Amio Chat: Channels overview”Channel represents a medium through which you can send and receive messages.
Amio Chat: List Channels
Section titled “Amio Chat: List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: amio_chat. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6456078996108099701", "type": "amio_chat", "name": "Amio Chat", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true } }]Amio Chat: Get Channel
Section titled “Amio Chat: Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: amio_chat. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
GET https://api.amio.io/v1/channels/{channel_id}
Response 200
{ "id": "6456078996108099701", "type": "amio_chat", "name": "Amio Chat", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }}Amio Chat: Create Channel
Section titled “Amio Chat: Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: amio_chat. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, amio_chat. |
name |
string | Name of the channel. If not set, it will generate one. | |
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
Example request
{ "type": "amio_chat", "name": "Amio Chat", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24" }}Response 201
{ "id": "6456078996108099701", "type": "amio_chat", "name": "Amio Chat", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24", "ssl_verification": true }}Amio Chat: Update Channel
Section titled “Amio Chat: Update Channel”📘 Remove webhook
Set
webhookattribute tonullif you’d like to remove channel webhook.
Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: amio_chat. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. Can be an arbitrary name. | |
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
Example request
{ "name": "Amio", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK" }}Response 200
{ "id": "6456078759331248741", "type": "amio_chat", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }}Amio Chat: Delete Channel
Section titled “Amio Chat: Delete Channel”Same as Delete Channel.
Email (Daktela): Overview
Section titled “Email (Daktela): Overview”Send and receive emails via connection to Daktela helpdesk.
Email (Daktela): Channels overview
Section titled “Email (Daktela): Channels overview”Same as Amio Chat: Channels overview.
Email (Daktela): List Channels
Section titled “Email (Daktela): List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: email_daktela. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| daktela | object | Contains Daktela-related configuration. |
| daktela.access_token | string | Access token of a Daktela user on whose behalf the actions are made. |
| daktela.daktela_url | string | URL of Daktela instance. |
| daktela.daktela_ticket_category | string | Used during handover to operator - the ticket’s category will be changed to this value. |
| daktela.daktela_user_name | string | Optional. Used during handover to operator - the ticket will be assigned to this user. |
| daktela.daktela_queue | string | Name of queue in Daktela which this channel is connected to. |
| daktela.daktela_processed_category | string | Optional. Only process email tickets that have this category set. If daktela_processed_categoryis null, process all emails. If daktela_processed_category is “NO_CATEGORY”, process only email tickets without a category. |
GET https://api.amio.io/v1/channels
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
max |
query | integer | Maximum number of channels in the response. | |
offset |
query | integer | Offset of the channel list in the response. |
Response 200
[ { "id": "6456078759331238786", "type": "email_daktela", "name": "Support Email", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://your-company.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24", "ssl_verification": true }, "daktela": { "access_token": "123456789abcdef", "daktela_url": "https://your-company.daktela.com", "daktela_ticket_category": "Support", "daktela_user_name": "user_name", "daktela_queue": "1001", "daktela_processed_category": null } }]Email (Daktela): Get Channel
Section titled “Email (Daktela): Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: email. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| daktela | object | Contains Daktela-related configuration. |
| daktela.access_token | string | Access token of a Daktela user on whose behalf the actions are made. |
| daktela.daktela_url | string | URL of Daktela instance. |
| daktela.daktela_ticket_category | string | Used during handover to operator - the ticket’s category will be changed to this value. |
| daktela.daktela_user_name | string | Optional. Used during handover to operator - the ticket will be assigned to this user. |
| daktela.daktela_queue | string | Name of queue in Daktela which this channel is connected to. |
| daktela.daktela_processed_category | string | Optional. Only process email tickets that have this category set. If daktela_processed_categoryis null, process all emails. If daktela_processed_category is “NO_CATEGORY”, process only email tickets without a category. |
GET https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Response 200
{ "id": "6456078759331238786", "type": "email", "name": "Support Email", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://your-company.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24", "ssl_verification": true }, "daktela": { "access_token": "123456789abcdef", "daktela_url": "https://your-company.daktela.com", "daktela_ticket_category": "Support", "daktela_user_name": "user_name", "daktela_queue": "1001", "daktela_processed_category": null }}Email (Daktela): Create Channel
Section titled “Email (Daktela): Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: email. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| daktela | object | Contains Daktela-related configuration. |
| daktela.access_token | string | Access token of a Daktela user on whose behalf the actions are made. |
| daktela.daktela_url | string | URL of Daktela instance. |
| daktela.daktela_ticket_category | string | Used during handover to operator - the ticket’s category will be changed to this value. |
| daktela.daktela_user_name | string | Optional. Used during handover to operator - the ticket will be assigned to this user. |
| daktela.daktela_queue | string | Name of queue in Daktela which this channel is connected to. |
| daktela.daktela_processed_category | string | Optional. Only process email tickets that have this category set. If daktela_processed_categoryis null, process all emails. If daktela_processed_category is “NO_CATEGORY”, process only email tickets without a category. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, email_daktela. Default: email_daktela. |
name |
string | Name of the channel. If not set, it will be Email Daktela. Default: Email Daktela. |
|
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
|
daktela |
object | Contains Daktela-related configuration. | |
daktela.access_token |
string | yes | Access token of a Daktela user on whose behalf the actions are made. Default: 123456789abcdef. |
daktela.daktela_url |
string | yes | URL of Daktela instance. Default: https://your-company.daktela.com. |
daktela.daktela_ticket_category |
string | yes | Used during handover to operator - the ticket’s category will be changed to this value. Default: Support. |
daktela.daktela_user_name |
string | Optional. Used during handover to operator - the ticket will be assigned to this user. Default: user_name. |
|
daktela.daktela_queue |
string | Name of queue in Daktela which this channel is connected to. Default: 1001. |
|
daktela.daktela_processed_category |
string | Optional. Only process email tickets that have this category set. If daktela_processed_categoryis null, process all emails. If daktela_processed_category is “NO_CATEGORY”, process only email tickets without a category. Default: category_12345. |
Example request
{ "type": "email", "name": "Support Email", "webhook": { "url": "https://your-company.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24" }, "daktela": { "access_token": "123456789abcdef", "daktela_url": "https://your-company.daktela.com", "daktela_ticket_category": "Support", "daktela_user_name": "user_name", "daktela_queue": "1001" }}Response 201
{ "id": "6456078759331238786", "type": "email", "name": "Support Email", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://your-company.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24", "ssl_verification": true }, "daktela": { "access_token": "123456789abcdef", "daktela_url": "https://your-company.daktela.com", "daktela_ticket_category": "Support", "daktela_user_name": "user_name", "daktela_queue": "1001", "daktela_processed_category": null }}Email (Daktela): Update Channel
Section titled “Email (Daktela): Update Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: email. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| daktela | object | Contains Daktela-related configuration. |
| daktela.access_token | string | Access token of a Daktela user on whose behalf the actions are made. |
| daktela.daktela_url | string | URL of Daktela instance. |
| daktela.daktela_ticket_category | string | Used during handover to operator - the ticket’s category will be changed to this value. |
| daktela.daktela_user_name | string | Optional. Used during handover to operator - the ticket will be assigned to this user. |
| daktela.daktela_queue | string | Name of queue in Daktela which this channel is connected to. |
| daktela.daktela_processed_category | string | Optional. Only process email tickets that have this category set. If daktela_processed_categoryis null, process all emails. If daktela_processed_category is “NO_CATEGORY”, process only email tickets without a category. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. If not set, it will be Email. |
|
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
|
daktela |
object | Contains Daktela-related configuration. | |
daktela.access_token |
string | Access token of a Daktela user on whose behalf the actions are made. | |
daktela.daktela_url |
string | URL of Daktela instance. | |
daktela.daktela_ticket_category |
string | Used during handover to operator - the ticket’s category will be changed to this value. | |
daktela.daktela_user_name |
string | Optional. Used during handover to operator - the ticket will be assigned to this user. | |
daktela.daktela_queue |
string | Name of queue in Daktela which this channel is connected to. | |
daktela.daktela_processed_category |
string | Optional. Only process email tickets that have this category set. If daktela_processed_categoryis null, process all emails. If daktela_processed_category is “NO_CATEGORY”, process only email tickets without a category. Default: category_12345. |
Example request
{ "name": "New Support Email", "mode": "production", "webhook": { "url": "https://new-company.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24" }, "daktela": { "access_token": "123456789abcdef", "daktela_url": "https://your-company.daktela.com", "daktela_ticket_category": "Support", "daktela_user_name": "user_name", "daktela_processed_category": "category_12345" }}Response 201
{ "id": "6456078759331238786", "type": "email", "name": "New Support Email", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://new-company.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24", "ssl_verification": true }, "daktela": { "access_token": "123456789abcdef", "daktela_url": "https://your-company.daktela.com", "daktela_ticket_category": "Support", "daktela_user_name": "user_name", "daktela_queue": "1001", "daktela_processed_category": "category_12345" }}Email (Daktela): Delete Channel
Section titled “Email (Daktela): Delete Channel”DELETE https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Response 204
Facebook Messenger: Overview
Section titled “Facebook Messenger: Overview”See Amio Documentation for getting started manuals and complete description of Facebook Messenger platform.
Facebook Messenger: Channels overview
Section titled “Facebook Messenger: Channels overview”Same as Amio Chat: Channels overview.
Facebook Messenger: List Channels
Section titled “Facebook Messenger: List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: facebook_messenger. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| facebook_page | object | Represents a facebook page connected to the channel. You can send and receive message only If facebook page is connected. |
| facebook_page.id | string | Id of the connected page. |
| facebook_page.name | string | Name of the facebook page. |
| facebook_page.category | string | Category of the facebook page. |
| facebook_page.access_token | string | Long lived facebook page access token with required permission. |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6456078759331238786", "type": "facebook_messenger", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "facebook_page": { "id": "747722755375845", "name": "Amio", "category": "Internet Company", "access_token": "9mqyDMPBtgRG3{nWLYYh" } }]Facebook Messenger: Get Channel
Section titled “Facebook Messenger: Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: facebook_messenger. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| facebook_page | object | Represents a facebook page connected to the channel. You can send and receive message only If facebook page is connected. |
| facebook_page.id | string | Id of the connected page. |
| facebook_page.name | string | Name of the facebook page. |
| facebook_page.category | string | Category of the facebook page. |
| facebook_page.access_token | string | Long lived facebook page access token with required permission. |
GET https://api.amio.io/v1/channels/{channel_id}
Response 200
{ "id": "6456078759331238786", "type": "facebook_messenger", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "facebook_page": { "id": "747722755375845", "name": "Amio", "category": "Internet Company", "access_token": "9mqyDMPBtgRG3{nWLYYh" }}Facebook Messenger: Create Channel
Section titled “Facebook Messenger: Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: facebook_messenger. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| facebook_page | object | Id of the connected page. |
| facebook_page.name | string | Name of the facebook page. |
| facebook_page.category | string | Category of the facebook page. |
| facebook_page.access_token | string | Long or short lived facebook page access token with required permission. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, facebook_messenger. |
name |
string | Name of the channel. If not set, it will be filled with connected Facebook Page name. | |
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
|
facebook_page |
object | ||
facebook_page.id |
string | yes | Id of the facebook page to be connected. |
facebook_page.access_token |
string | yes | Access token to be used for Facebook API calls. This can be any type of access token with required permission. Typically, you will send User Access Token obtained after successful Facebook OAuth login procedure. When you create a channel, we request for long lived Page Access Token what ensures that the access token won’t expire. See Facebook documentation for more details. You can only use access tokens that were generated for a certain Facebook App. If you want to use your own Facebook App, let us know at support@amio.io. This SO answer explains how to generate access_token for a given Facebook Application. |
Example request
{ "type": "facebook_messenger", "name": "Amio Channel", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24" }, "facebook_page": { "id": "747722755375845", "access_token": "9mqyDMPBtgRG3{nWLYYh" }}Response 201
{ "id": "6456078759331238786", "type": "facebook_messenger", "name": "Amio Channel", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "TsEW3ZmFKmpe2WltNfVmqtQie24", "ssl_verification": true }, "facebook_page": { "id": "747722755375845", "name": "Amio", "category": "Internet Company", "access_token": "9mqyDMPBtgRG3{nWLYYh" }}Facebook Messenger: Update Channel
Section titled “Facebook Messenger: Update Channel”📘 Remove webhook
Set
webhookattribute tonullif you’d like to remove channel webhook.
Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: facebook_messenger. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| facebook_page | object | Id of the connected page. |
| facebook_page.name | string | Name of the facebook page. |
| facebook_page.category | string | Category of the facebook page. |
| facebook_page.access_token | string | Long lived facebook page access token with required permission. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. Might be an arbitrary name. | |
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
|
facebook_page |
object | ||
facebook_page.access_token |
string | Access token to be used for Facebook API calls. This can be any type of access token with required permission. Typically, you will send User Access Token obtained after successful Facebook OAuth login procedure. When you create a channel, we request for long lived Page Access Token what ensures that the access token won’t expire. See Facebook documentation for more details. You can only use access tokens that were generated for a certain Facebook App. If you want to use your own Facebook App, let us know at support@amio.io. This SO answer explains how to generate access_token for a given Facebook Application. |
Example request
{ "name": "Amio", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK" }, "facebook_page": { "access_token": "9mqyDMPBtgRG3{nWLYYh" }}Response 200
{ "id": "6456078759331238786", "type": "facebook_messenger", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "facebook_page": { "id": "747722755375845", "name": "Amio", "category": "Internet Company", "access_token": "9mqyDMPBtgRG3{nWLYYh" }}Facebook Messenger: Delete Channel
Section titled “Facebook Messenger: Delete Channel”Same as Delete Channel.
Mobile (SMS): Overview
Section titled “Mobile (SMS): Overview”Mobile channel is primarily used for SMS send and receive. Amio integrates with 3rd party providers which you can connect in administration and use Amio API to send messages.
Mobile (SMS): Channels overview
Section titled “Mobile (SMS): Channels overview”Same as Amio Chat: Channels overview.
Mobile (SMS): List Channels
Section titled “Mobile (SMS): List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: mobile. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent as SMS. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message as SMS. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| provider | object | Represents a provider used to receive and deliver messages. |
| provider.type | string | Name of the service provider: messagebird. |
| provider.sender_id | string | Phone number registered at the provider to be used as a sender number. Any string in case of using shared number. |
| provider.access_token | string | Access token used for authorising requests to provider. |
| provider.signing_key | string | Signature key used for verifying that incoming webhook came from MessageBird. |
| provider.status_webhook_url | string | Amio webhook url to be used by provider to deliver notifications like message delivered, message failed, etc. |
| provider.receive_webhook_url | string | Amio webhook url to be used by provider to deliver incoming SMS messages. |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6456078759331238786", "type": "mobile", "name": "Amio Mobile", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "provider": { "type": "messagebird", "sender_id": "phonenumber", "access_token": "r3TniW2smgLGE3ntqHT", "signing_key": "GDVCrN9tgECUrkouzh4gyn7k", "status_webhook_url": "https://api.amio.io/webhook/messagebird/status/152775927128158", "receive_webhook_url": "https://api.amio.io/webhook/messagebird/message/6204630442/152811200579929" } }]Mobile (SMS): Get Channel
Section titled “Mobile (SMS): Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: mobile. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent as SMS. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message as SMS. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| provider | object | Represents a provider used to receive and deliver messages. |
| provider.type | string | Name of the service provider: messagebird. |
| provider.sender_id | string | Phone number registered at the provider to be used as a sender number. Any string in case of using shared number. |
| provider.access_token | string | Access token used for authorising requests to provider. |
| provider.signing_key | string | Signature key used for verifying that incoming webhook came from MessageBird. |
| provider.status_webhook_url | string | Amio webhook url to be used by provider to deliver notifications like message delivered, message failed, etc. |
| provider.receive_webhook_url | string | Amio webhook url to be used by provider to deliver incoming SMS messages. |
GET https://api.amio.io/v1/channels/{chanel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Response 200
{ "id": "6456078759331238786", "type": "mobile", "name": "Amio Mobile", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "provider": { "type": "messagebird", "sender_id": "phonenumber", "access_token": "r3TniW2smgLGE3ntqHT", "signing_key": "GDVCrN9tgECUrkouzh4gyn7k", "status_webhook_url": "https://api.amio.io/webhook/messagebird/status/152775927128158", "receive_webhook_url": "https://api.amio.io/webhook/messagebird/message/6204630442/152811200579929" }}Mobile (SMS): Create Channel
Section titled “Mobile (SMS): Create Channel”Response Body Params
| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: mobile. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent as SMS.test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message as SMS. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| provider | object | Represents a provider used to receive and deliver messages. |
| provider.type | string | Name of the service provider: messagebird. |
| provider.sender_id | string | Phone number registered at the provider or custom sender ID to be used as a message originator. |
| provider.access_token | string | Access token used for authorising requests to provider. |
| provider.signing_key | string | Signature key used for verifying that incoming webhook came from MessageBird. |
| provider.status_webhook_url | string | Amio webhook url to be used by provider to deliver notifications like message delivered, message failed, etc. |
| provider.receive_webhook_url | string | Amio webhook url to be used by provider to deliver incoming SMS messages. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, mobile. |
name |
string | Name of the channel. If not set, it will be auto-generated. | |
mode |
string | Mode of the channel. production - Send Message requests will be accepted and sent as SMS. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message as SMS. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
|
provider |
object | ||
provider.type |
string | yes | Name of the service provider. Following values are allowed: messagebird. |
provider.access_token |
string | yes | Access token used for authorising requests to provider. |
provider.signing_key |
string | yes | Signature key used for verifying that incoming webhook came from MessageBird. You can get this key in MessageBird administration. |
provider.sender_id |
string | yes | Phone number registered at the provider or custom sender ID to be used as a message originator. |
Example request
{ "type": "mobile", "name": "Amio Mobile", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK" }, "provider": { "type": "messagebird", "sender_id": "phonenumber", "access_token": "r3TniW2smgLGE3ntqHT", "signing_key": "GDVCrN9tgECUrkouzh4gyn7k" }}Response 201
{ "id": "6456078759331238786", "type": "mobile", "name": "Amio Mobile", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "provider": { "type": "messagebird", "sender_id": "phonenumber", "access_token": "r3TniW2smgLGE3ntqHT", "signing_key": "GDVCrN9tgECUrkouzh4gyn7k", "status_webhook_url": "https://api.amio.io/webhook/messagebird/status/152776172104684", "receive_webhook_url": "https://api.amio.io/webhook/messagebird/message/6204630442/152811200579929" }}Mobile (SMS): Update Channel
Section titled “Mobile (SMS): Update Channel”Response Body Params
| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: mobile. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent as SMS.test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message as SMS. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| provider | object | Represents a provider used to receive and deliver messages. |
| provider.type | string | Name of the service provider: messagebird. |
| provider.sender_id | string | Phone number registered at the provider or custom sender ID to be used as a message originator. |
| provider.access_token | string | Access token used for authorising requests to provider. |
| provider.signing_key | string | Signature key used for verifying that incoming webhook came from MessageBird. |
| provider.status_webhook_url | string | Amio webhook url to be used by provider to deliver notifications like message delivered, message failed, etc. |
| provider.receive_webhook_url | string | Amio webhook url to be used by provider to deliver incoming SMS messages. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. Might be an arbitrary name. | |
mode |
string | Mode of the channel. production - Send Message requests will be accepted and sent as SMS. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message as SMS. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
|
provider |
object | ||
provider.access_token |
string | Access token used for authorising requests to provider. | |
provider.signing_key |
string | Signature key used for verifying that incoming webhook came from MessageBird. You can get this key in MessageBird administration. | |
provider.sender_id |
string | Phone number registered at the provider or custom sender ID to be used as a message originator. |
Example request
{ "name": "Amio", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK" }, "provider": { "sender_id": "phonenumber", "access_token": "r3TniW2smgLGE3ntqHT", "signing_key": "GDVCrN9tgECUrkouzh4gyn7k" }}Response 200
{ "id": "6456078759331238786", "type": "mobile", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "provider": { "type": "messagebird", "sender_id": "phonenumber", "access_token": "r3TniW2smgLGE3ntqHT", "signing_key": "GDVCrN9tgECUrkouzh4gyn7k", "status_webhook_url": "https://api.amio.io/webhook/messagebird/status/152775927128158", "receive_webhook_url": "https://api.amio.io/webhook/messagebird/message/6204630442/152811200579929" }}Mobile (SMS): Delete Channel
Section titled “Mobile (SMS): Delete Channel”Same as Delete Channel.
RCS Business Messages: Overview
Section titled “RCS Business Messages: Overview”RCS Business Messages (RBM) is brought to us by Google and takes advantage of the RCS communication protocol which will eventually replace traditional SMS on Android devices.
RCS Business Messages: Channels overview
Section titled “RCS Business Messages: Channels overview”A channel represents a medium through which you can send and receive messages.
Agent State
Section titled “Agent State”Unlike other channels, the RBM channel is completely maintained by Amio. Once you create an RBM channel, it exists only in Amio and you need to give us a request to register an agent in RBM.
The states are:
new- an agent doesn’t exist in Google.create_requested- we received your request to register the agent in Google.created- the agent can be used with test phone numbers only.launch_requested- we received your request to launch the agent.launched- you can send RCS messages to any phone number.
RCS Business Messages: List Channels
Section titled “RCS Business Messages: List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: rbm. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through RBM. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through RBM. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| rbm | object | Contains information specific to an RBM agent. |
| rbm.agent_name | string | Name of the agent as it is shown to end users. |
| rbm.agent_state | string | Agent state describes whether your agent is registered in RBM and whether it is launched. |
| region | string | Agent region. |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6555093381403135744", "type": "rbm", "name": "Amio.io", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "rbm": { "agent_name": "My Agent", "agent_state": "launched", "region": "europe" } }]RCS Business Messages: Get Channel
Section titled “RCS Business Messages: Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: rbm. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through RBM. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through RBM. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| rbm | object | Contains information specific to an RBM agent. |
| rbm.agent_name | string | Name of the agent as it is shown to end users. |
| rbm.agent_state | string | Agent state describes whether your agent is registered in RBM and whether it is launched. |
| rbm.region | string | Agent region. |
GET https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Response 200
{ "id": "6555093381403135744", "type": "rbm", "name": "Amio.io", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "rbm": { "agent_name": "My Agent", "agent_state": "launched", "region": "europe" }}RCS Business Messages: Create Channel
Section titled “RCS Business Messages: Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: rbm. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through RBM. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through RBM. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| rbm | object | Contains information specific to an RBM agent. |
| rbm.agent_name | string | Name of the agent as it is shown to end users. |
| rbm.agent_state | string | Agent state describes whether your agent is registered in RBM and whether it is launched. |
| region | string | Agent region. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, rbm. |
name |
string | Name of the channel. If not set, it will be generated from rbm.agent_name. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
|
rbm |
object | ||
rbm.agent_name |
string | yes | Name of the agent as it is shown to end users. |
rbm.region |
string | Region is needed for Agent registration in RBM. Allowed regions are asia_pacific, europe and north_america. |
Example request
{ "type": "rbm", "name": "Amio.io", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "2EeSWemjm3715k7wfceP" }, "rbm": { "agent_name": "ACME", "region": "europe" }}Response 201
{ "type": "rbm", "name": "Amio.io", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "2EeSWemjm3715k7wfceP" }, "rbm": { "agent_name": "ACME", "agent_state": "new", "region": "europe" }}RCS Business Messages: Update Channel
Section titled “RCS Business Messages: Update Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: rbm. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through RBM. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through RBM. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| rbm | object | Contains information specific to an RBM agent. |
| rbm.agent_name | string | Name of the agent as it is shown to end users. |
| rbm.agent_state | string | Agent state describes whether your agent is registered in RBM and whether it is launched. |
| region | string | Agent region. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. | |
mode |
string | Mode of the channel. production - Send Message requests will be accepted and sent through RBM. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through RBM. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
|
rbm |
object | ||
rbm.agent_name |
string | Name of the agent as it is shown to end users. | |
rbm.agent_state |
string | Agent state describes whether your agent is registered in RBM and whether it is launched. Allowed values are: - create_requested when Agent State is new- launch_requested when Agent State is created |
|
rbm.region |
string | Region is needed for Agent registration in RBM. Allowed regions are asia_pacific, europe and north_america.Can only changed when Agent State is new. |
Example request
{ "type": "rbm", "name": "Amio.io", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "2EeSWemjm3715k7wfceP" }, "rbm": { "agent_name": "ACME", "agent_state": "create_requested", "region": "europe" }}Response 201
{ "type": "rbm", "name": "Amio.io", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "2EeSWemjm3715k7wfceP" }, "rbm": { "agent_name": "ACME", "agent_state": "new", "region": "europe" }}Response 400
{}RCS Business Messages: Delete Channel
Section titled “RCS Business Messages: Delete Channel”Same as Email (Daktela): Delete Channel.
Telegram: Overview
Section titled “Telegram: Overview”Telegram is popular, privacy-focused messenger with more than 200 million users.
Telegram: Channels overview
Section titled “Telegram: Channels overview”Same as Amio Chat: Channels overview.
Telegram: List Channels
Section titled “Telegram: List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: telegram. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| telegram | object | Represents a Telegram Bot connected to the channel. |
| telegram.name | string | Name of the Telegram Bot. |
| telegram.username | string | Username of the Telegram Bot. |
| telegram.access_token | string | Telegram Bot access token. |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6555093381403135744", "type": "telegram", "name": "Amio.io", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "telegram": { "access_token": "123456789:ATRY9Bwa0raXG-rsIUUzPpwgtdsdhhy7PY", "name": "Amio.io", "username": "amio_io_bot" } }]Telegram: Get Channel
Section titled “Telegram: Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: telegram. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| telegram | object | Represents a Telegram Bot connected to the channel. |
| telegram.name | string | Name of the Telegram Bot. |
| telegram.username | string | Username of the Telegram Bot. |
| telegram.access_token | string | Telegram Bot access token. |
GET https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Response 200
{ "id": "6555093381403135744", "type": "telegram", "name": "Amio.io", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "telegram": { "access_token": "123456789:ATRY9Bwa0raXG-rsIUUzPpwgtdsdhhy7PY", "name": "Amio.io", "username": "amio_io_bot" }}Telegram: Create Channel
Section titled “Telegram: Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: telegram. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| telegram | object | Represents a Telegram Bot connected to the channel. |
| telegram.name | string | Name of the Telegram Bot. |
| telegram.username | string | Username of the Telegram Bot. |
| telegram.access_token | string | Telegram Bot access token. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, telegram. |
name |
string | Name of the channel. If not set, prefilled with the connected Telegram Bot name. | |
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
|
telegram |
object | ||
telegram.access_token |
string | yes | Telegram Bot access token. It has to be unique since Telegram Bot account can be only assigned to one channel. You received this token when you created your Telegram Bot. |
mode |
string | Mode of the channel. Only production mode is allowed. |
Example request
{ "type": "telegram", "name": "Amio.io", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK" }, "telegram": { "access_token": "123456789:ATRY9Bwa0raXG-rsIUUzPpwgtdsdhhy7PY" }}Response 201
{ "id": "6555093381403135744", "type": "telegram", "name": "Amio.io", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "telegram": { "access_token": "123456789:ATRY9Bwa0raXG-rsIUUzPpwgtdsdhhy7PY", "name": "Amio.io", "username": "amio_io_bot" }}Telegram: Update Channel
Section titled “Telegram: Update Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: telegram. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| telegram | object | Represents a Telegram Bot connected to the channel. |
| telegram.name | string | Name of the Telegram Bot. |
| telegram.username | string | Username of the Telegram Bot. |
| telegram.access_token | string | Telegram Bot access token. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. | |
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
Example request
{ "name": "New Name", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK" }}Response 200
{ "id": "6555093381403135744", "type": "telegram", "name": "New Name", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "telegram": { "access_token": "123456789:ATRY9Bwa0raXG-rsIUUzPpwgtdsdhhy7PY", "name": "Amio.io", "username": "amio_io_bot" }}Telegram: Delete Channel
Section titled “Telegram: Delete Channel”Same as Email (Daktela): Delete Channel.
Viber Bot: Overview
Section titled “Viber Bot: Overview”See Amio Documentation for getting started manuals and complete description.
Viber Bot: Channels overview
Section titled “Viber Bot: Channels overview”Same as Amio Chat: Channels overview.
Viber Bot: List Channels
Section titled “Viber Bot: List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: viber. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| viber | object | Represents a Viber public account connected to the channel. You can send and receive message only If Viber is connected. |
| viber.name | string | Name of the Viber Bot account. |
| viber.category | string | Viber public account category. |
| viber.uri | string | String to be used for building Viber links. |
| viber.access_token | string | Viber Bot account access token. |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6456078759331238786", "type": "viber", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "viber": { "name": "Amio", "category": "Companies, Brands & Products", "uri": "amioio", "access_token": "46c9501a7eefc1ab" } }]Viber Bot: Get Channel
Section titled “Viber Bot: Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: viber. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| viber | object | Represents a Viber Bot account connected to the channel. You can send and receive message only If Viber is connected. |
| viber.name | string | Name of the Viber Bot account. |
| viber.category | string | Viber Bot account category. |
| viber.uri | string | String to be used for building Viber links. |
| viber.access_token | string | Viber Bot account access token. |
GET https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Response 200
{ "id": "6456078759331238786", "type": "viber", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "viber": { "name": "Amio", "category": "Companies, Brands & Products", "uri": "amioio", "access_token": "46c9501a7eefc1ab" }}Viber Bot: Create Channel
Section titled “Viber Bot: Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: viber. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| viber | object | Represents a Viber Bot account connected to the channel. You can send and receive message only If Viber is connected. |
| viber.name | string | Name of the Viber Bot account. |
| viber.category | string | Viber Bot account category. |
| viber.uri | string | String to be used for building Viber links. |
| viber.access_token | string | Viber Bot account access token. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, viber. |
name |
string | Name of the channel. If not set, it will be filled with connected Viber Bot name. | |
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
|
viber |
object | ||
viber.access_token |
string | yes | Viber Bot account access token. It has to be unique as Viber Bot account can be assigned only to one channel. You receive this token from Viber. |
Example request
{ "type": "viber", "name": "Amio", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK" }, "viber": { "access_token": "46c9501a7eefc1ab" }}Response 201
{ "id": "6456078759331238786", "type": "viber", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "viber": { "name": "Amio", "category": "Companies, Brands & Products", "uri": "amioio", "access_token": "46c9501a7eefc1ab" }}Viber Bot: Update Channel
Section titled “Viber Bot: Update Channel”📘 Remove webhook
Set
webhookattribute tonullif you’d like to remove channel webhook.
Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: viber. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| viber | object | Represents a Viber Bot account connected to the channel. You can send and receive message only If Viber is connected. |
| viber.name | string | Name of the Viber Bot account. |
| viber.category | string | Viber Bot account category. |
| viber.uri | string | String to be used for building Viber links. |
| viber.access_token | string | Viber Bot account access token. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. Might be an arbitrary name. | |
mode |
string | Mode of the channel. Only production mode is allowed. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
Example request
{ "name": "Amio", "mode": "production", "webhook": { "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK" }}Response 200
{ "id": "6456078759331238786", "type": "viber", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "viber": { "name": "Amio", "category": "Companies, Brands & Products", "uri": "amioio", "access_token": "46c9501a7eefc1ab" }}Viber Bot: Delete Channel
Section titled “Viber Bot: Delete Channel”Same as Delete Channel.
Viber Business Messages: Overview
Section titled “Viber Business Messages: Overview”Same as Viber Bot: Overview.
Viber Business Messages: Channels overview
Section titled “Viber Business Messages: Channels overview”Same as Amio Chat: Channels overview.
Viber Business Messages: List Channels
Section titled “Viber Business Messages: List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: viber_business_messages. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through Viber network. sandbox - Send Message requests will be sent using common Amio Sender ID. Messages sent are not charged but number of messages sent is limited. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through Viber. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| viber_business_messages | object | Contains information specific to Viber Business Messages. |
| viber_business_messages.sender_id | string | The Sender ID will be shown in the Viber app as a sender of the message |
| viber_business_messages.default_message_ttl | string (ISO 8601 duration) | Message validity period. If the message couldn’t be delivered within this period, it will be discarded. |
| viber_business_messages.approved | boolean | Messages can be sent only if the channel is approved. |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6456078759331238786", "type": "viber_business_messages", "name": "Viber Business Messages - Example", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "viber_business_messages": { "sender_id": "Example", "default_message_ttl": "PT24H", "approved": true, } }]Viber Business Messages: Get Channel
Section titled “Viber Business Messages: Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: viber_business_messages. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through Viber network. sandbox - Send Message requests will be sent using common Amio Sender ID. Messages sent are not charged but number of messages sent is limited. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through Viber. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| viber_business_messages | object | Contains information specific to Viber Business Messages. |
| viber_business_messages.sender_id | string | The Sender ID will be shown in the Viber app as a sender of the message. |
| viber_business_messages.default_message_ttl | string (ISO 8601 duration) | Message validity period. If the message couldn’t be delivered within this period, it will be discarded. |
| viber_business_messages.approved | boolean | Messages can be sent only if the channel is approved. |
GET https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Response 200
{ "id": "6456078759331238786", "type": "viber_business_messages", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "viber_business_messages": { "sender_id": "Example", "default_message_ttl": "PT24H", "approved": true, }}Viber Business Messages: Create Channel
Section titled “Viber Business Messages: Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: viber_business_messages. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through Viber network. sandbox - Send Message requests will be sent using common Amio Sender ID. Messages sent are not charged but number of messages sent is limited. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through Viber. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| viber_business_messages | object | Contains information specific to Viber Business Messages. |
| viber_business_messages.sender_id | string | The Sender ID will be shown in the Viber app as a sender of the message |
| viber_business_messages.default_message_ttl | string (ISO 8601 duration) | Message validity period. If the message couldn’t be delivered within this period, it will be discarded. |
| viber_business_messages.approved | boolean | Messages can be sent only if the channel is approved. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, viber_business_messages. |
name |
string | Name of the channel. If not set, it will be generated automatically. | |
mode |
string | Mode of the channel. production - Send Message requests will be accepted and sent through Viber network. sandbox - Send Message requests will be sent using common Amio Sender ID. Messages sent are not charged but number of messages sent is limited. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through Viber. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. If not provided, the token will be generated. |
|
viber_business_messages |
object | ||
viber_business_messages.sender_id |
string | yes | The Sender ID will be shown in the Viber app as a sender of the message. You won’t be able to change the Sender ID once it’s registered with Viber. |
viber_business_messages.default_message_ttl |
string | Message validity period. If the message couldn’t be delivered within this period, it will be discarded. Value should be provided in (ISO 8601 duration). Default: PT24H. |
Response 201
{ "id": "6456078759331238786", "type": "viber_business_messages", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "viber_business_messages": { "sender_id": "Example", "default_message_ttl": "PT1H", "approved": false, }}Viber Business Messages: Update Channel
Section titled “Viber Business Messages: Update Channel”Response Body Params
| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: viber_business_messages. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through Viber network. sandbox - Send Message requests will be sent using common Amio Sender ID. Messages sent are not charged but number of messages sent is limited. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through Viber. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| viber_business_messages | object | Contains information specific to Viber Business Messages. |
| viber_business_messages.sender_id | string | The Sender ID will be shown in the Viber app as a sender of the message |
| viber_business_messages.default_message_ttl | string (ISO 8601 duration) | Message validity period. If the message couldn’t be delivered within this period, it will be discarded. |
| viber_business_messages.approved | boolean | Messages can be sent only if the channel is approved. |
PATCH https://api.amio.io/v1/channels/{channel_id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id |
path | string | yes | Id of the channel. |
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
name |
string | Name of the channel. Might be an arbitrary name. | |
mode |
string | Mode of the channel. production - Send Message requests will be accepted and sent through Viber network. sandbox - Send Message requests will be sent using common Amio Sender ID. Messages sent are not charged but number of messages sent is limited. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through Viber. |
|
webhook |
object | ||
webhook.url |
string | Webhook url where all channel events would be sent to. | |
webhook.secret |
string | Secret token for securing received webhook calls. See Webhook Security for more details. The minimum length is 20 characters. |
|
viber_business_messages |
object | ||
viber_business_messages.default_message_ttl |
string | Message validity period. If the message couldn’t be delivered within this period, it will be discarded. Value should be provided in (ISO 8601 duration). Default: PT24H. |
Response 200
{ "id": "6456078759331238786", "type": "viber_business_messages", "name": "Amio", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "viber_business_messages": { "sender_id": "Example", "default_message_ttl": "PT20M", "approved": false, }}Viber Business Messages: Delete Channel
Section titled “Viber Business Messages: Delete Channel”Same as Delete Channel.
WhatsApp: Overview
Section titled “WhatsApp: Overview”WhatsApp is currently #1 messenger in many countries worldwide.
WhatsApp: Channels overview
Section titled “WhatsApp: Channels overview”Same as Amio Chat: Channels overview.
WhatsApp: List Channels
Section titled “WhatsApp: List Channels”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: whatsapp. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through WhatsApp servers. sandbox - Send Message requests will be sent using common Amio WhatsApp Account. (You can find its phone number in your new WhatsApp channel in our administration.) test - Send Message requests will be accepted but won’t be processed any further. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| whatsapp_business_account | object | Contains information specific to Whatsapp Business Account. |
| whatsapp_business_account.phone_number | string | Phone number (E.164 format) of this WA Business Account . |
GET https://api.amio.io/v1/channels
Response 200
[ { "id": "6456078759331238786", "type": "whatsapp", "name": "WhatsApp - IT Crowd", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "whatsapp_business_account": { "phone_number": "01189998819991197253", } }]WhatsApp: Get Channel
Section titled “WhatsApp: Get Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: whatsapp. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through WhatsApp servers. sandbox - Send Message requests will be sent using common Amio WhatsApp Account. (You can find its phone number in your new WhatsApp channel in our administration.) test - Send Message requests will be accepted but won’t be processed any further. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| whatsapp_business_account | object | Contains information specific to Whatsapp Business Account. |
| whatsapp_business_account.phone_number | string | Phone number (E.164 format) of this WA Business Account . |
GET https://api.amio.io/v1/channels/{channel_id}
Response 200
{ "id": "6456078759331238786", "type": "whatsapp", "name": "WhatsApp - IT Crowd", "mode": "production", "webhook": { "id": "6456079006639985542", "url": "https://my-project.com/webhooks", "secret": "6OUlfYyRZ393ZEoSncNAZfoCN0WveK", "ssl_verification": true }, "whatsapp_business_account": { "phone_number": "01189998819991197253", }}WhatsApp: Create Channel
Section titled “WhatsApp: Create Channel”Response Body Params
Section titled “Response Body Params”| Parameter | Type | Description |
|---|---|---|
| id | string | Id of the channel. |
| type | string | Channel type specifying the underlying platform: whatsapp. |
| name | string | Name of the channel. |
| mode | string | Mode of the channel. production - Send Message requests will be accepted and sent through WhatsApp servers. sandbox - Send Message requests will be sent using common Amio WhatsApp Account. (You can find its phone number in your new WhatsApp channel in our administration.) test - Send Message requests will be accepted but won’t be processed any further. |
| webhook | object | Webhook object specifies the entry point to which all events are delivered. It is null if there is no webhook set. See Webhooks for more details. |
| webhook.id | string | Id of the webhook. |
| webhook.url | string | Webhook url. |
| webhook.secret | string | Secret token for securing received webhook calls, see Webhook Security for more details. |
| webhook.ssl_verification | string | Specifies whether to verify SSL certificates or not. Setting this option to false is not recommended. |
| whatsapp_business_account | object | Contains information specific to WhatsApp. |
| whatsapp_business_account.phone_number | string | The phone number that is registered with your account. |
POST https://api.amio.io/v1/channels
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
type |
string | yes | Channel type, whatsapp. |
name |
string | Name of the channel. If not set, it will be generated automatically. | |
mode |
string | Mode of the channel. production - Send Message requests will be accepted and sent through Viber network. sandbox - Send Message requests will be sent using common Amio Sender ID. Messages sent are not charged but number of messages sent is limited. test - Send Message requests will be accepted but won’t be processed any further. This avoids the cost of sending the message through Viber. |
|
webhook |
object | ||
webhook.url |
[...]
